## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global sover   2

%global common_description %{expand:
Tox is a peer to peer (serverless) instant messenger aimed at making
security and privacy easy to obtain for regular users. It uses NaCl
for its encryption and authentication.}

Name:           toxcore
Version:        0.2.20
Release:        %autorelease
Summary:        Peer to peer instant messenger

# GPLv3+: main library
# third_party/cmp: MIT
License:        GPL-3.0-or-later AND MIT
URL:            https://github.com/TokTok/c-toxcore
Source0:        %{url}/releases/download/v%{version}/c-%{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  pkgconfig(libsodium)
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(vpx)

%description %{common_description}

%package        devel
Summary:        Development files for Toxcore
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
%{common_description}

This package contains Toxcore development files.

%prep
%autosetup -p1 -n c-%{name}-%{version}

%build
export CFLAGS="%{optflags} -fPIC"
export CXXFLAGS="%{optflags} -fPIC"
%cmake -DSTRICT_ABI=ON
%cmake_build

%install
%cmake_install
rm -v %{buildroot}/%{_libdir}/*.a

%files
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/DHT_bootstrap
%{_libdir}/libtoxcore.so.%{sover}*

%files devel
%{_includedir}/tox/
%{_libdir}/libtoxcore.so
%{_libdir}/pkgconfig/toxcore.pc

%changelog
## START: Generated by rpmautospec
* Tue Feb 25 2025 topazus <topazus@outlook.com> - 0.2.20-1
- 0.2.20

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.19-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Apr 27 2024 topazus <topazus@outlook.com> - 0.2.19-2
- SPDX migration

* Fri Mar 29 2024 topazus <topazus@outlook.com> - 0.2.19-1
- update to 0.2.19

* Thu Feb 08 2024 Pete Walter <pwalter@fedoraproject.org> - 0.2.18-7
- Rebuild for libvpx 1.14.x

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.18-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Oct 05 2023 Remi Collet <remi@fedoraproject.org> - 0.2.18-5
- rebuild for new libsodium

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Feb 15 2023 Tom Callaway <spot@fedoraproject.org> - 0.2.18-3
- rebuild for libvpx

* Thu Jan 27 2022 Tom Callaway <spot@fedoraproject.org> - 0.2.13-3
- rebuild for libvpx

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 18 12:54:43 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.12-1
- Release 0.2.12 (#1815942)

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Sep 22 19:37:15 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.10-1
- Release 0.2.10

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Feb 18 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.9-1
- Update to 0.2.9

* Tue Feb 05 2019 Björn Esser <besser82@fedoraproject.org> - 0.2.8-3
- rebuilt (libvpx)

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Oct 07 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.8-1
- Upstream release 0.2.8

* Fri Aug 31 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.7-2
- Add patch to install libmisc_tools needed by DHT_bootstrap

* Fri Aug 31 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.7-1
- Upstream release 0.2.7

* Sat Aug 04 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.4-1
- Upstream release 0.2.4

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 26 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.3-1
- Upstream release 0.2.3

* Thu Apr 19 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.2-2
- Build using cmake

* Thu Apr 19 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.2-1
- Upstream release 0.2.2

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jan 28 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.11-3
- actually rebuild for new libvpx

* Fri Jan 26 2018 Tom Callaway <spot@fedoraproject.org> - 0.1.11-2
- rebuild for new libvpx

* Wed Jan 10 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.11-1
- Upstream release 0.1.11

* Tue Oct 31 2017 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.10-2
- Clean-up the SPEC

* Thu Oct 12 2017 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.10-1
- New upstream release 0.1.10

* Fri Aug 18 2017 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.9-2
- Fix Requires dependencies

* Sat Jul 29 2017 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.9-1
- First RPM release

## END: Generated by rpmautospec
